> For the complete documentation index, see [llms.txt](https://developers.oxylabs.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.oxylabs.io/products/cn/web-scraper-api/features/result-processing-and-storage/cloud-storage/file-name-templating.md).

# 文件名模板

学习为传送到云存储的结果指定文件名。

默认情况下，发送到你的云存储的结果文件使用 `{{ job_id }}.{{ extension }}` 命名模板（例如， `7346445033316311041.json`）。你可以为发送到云存储的结果指定自定义文件命名模板。

以下是你可能想这样做的原因：

* 结果文件名可以更具信息量
* 结果可以自动组织到不同目录中。

## 模板变量

你可以使用创建作业时提供的任何输入参数，以及来自 `作业` 对象，该对象会随你的结果返回（例如 `job_id`, `source`, `created_at`）在你的文件命名模板中。该 `storage_url` 字段显示解析后的路径，因此你无需等待上传即可检查模板。

## 用法

{% stepper %}
{% step %}

#### 示例 1：使用多个变量的自定义文件名

将结果写入 `oxylabs.test/google_search_test_7336001481897673729.json`

```json
{
    "source": "google_search",
    "query": "test",
    "storage_type": "s3",
    "storage_url": "oxylabs.test/{{ source }}_{{ query }}_{{ job_id }}.{{ extension }}"
}
```

{% endstep %}

{% step %}

#### 示例 2：目录组织

将结果写入 `oxylabs.test/google_search/7336001481897673729.json`

```json
{
    "source": "google_search",
    "query": "test",
    "storage_type": "s3",
    "storage_url": "oxylabs.test/{{ source }}/"
}
```

{% endstep %}

{% step %}

#### 示例 3：自定义目录和自定义文件名

将结果写入 `oxylabs.test/google_search/oxylabs_test_7336001481897673729.json`

```json
{
    "source": "google_search",
    "query": "test",
    "storage_type": "s3",
    "storage_url": "oxylabs.test/{{ source }}/oxylabs_{{ query }}_{{ job_id }}.{{ extension }}"
}
```

{% endstep %}
{% endstepper %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers.oxylabs.io/products/cn/web-scraper-api/features/result-processing-and-storage/cloud-storage/file-name-templating.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
